List charged operations for the project
curl --request GET \
--url https://nsfw-api.net/v1/usage \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nsfw-api.net/v1/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://nsfw-api.net/v1/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"operation_count": 123,
"charged_amount": "<string>",
"currency": "USD",
"data": [
{
"job": "<string>",
"model": "<string>",
"operation": "image_generation",
"quantity": 123,
"unit": "request",
"charged_amount": "<string>",
"completed": 123
}
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}API Reference
List usage
List settled charges for the API-key project.
GET
https://nsfw-api.net
/
v1
/
usage
List charged operations for the project
curl --request GET \
--url https://nsfw-api.net/v1/usage \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nsfw-api.net/v1/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://nsfw-api.net/v1/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"operation_count": 123,
"charged_amount": "<string>",
"currency": "USD",
"data": [
{
"job": "<string>",
"model": "<string>",
"operation": "image_generation",
"quantity": 123,
"unit": "request",
"charged_amount": "<string>",
"completed": 123
}
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}Returns charged operations only. Failed and fully released jobs do not appear in usage.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required string length:
2 - 120Last modified on September 17, 2026